<template lang="html">
  <div class="navigation" :active="$route.name==name">
    <nuxt-link :to="url" class="link" :class="{active:$route.name==name}"><slot></slot></nuxt-link>
  </div>
</template>

<script>
export default {
  props: ['url','name']
}
</script>

<style lang="scss" scoped>
@import 'butter-mixins';
.navigation {
  text-decoration: none;
  display: flex;
  display: flex;
  align-items: flex-end;
  padding: 0;
}
.navigation /deep/ .info {
  display: flex;
  flex-grow: 1;
}
.navigation /deep/ h2 {
  display: flex;
  flex-grow: 1;
}
</style>
